import * as $dara from '@darabonba/typescript';
import { CreateRouteEntryResponseBody } from "./CreateRouteEntryResponseBody";
export declare class CreateRouteEntryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateRouteEntryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
